Page MenuHomePhabricator

Thanks button not hidden for bot edits on mobile
Closed, ResolvedPublic

Description

As far as I can tell, it's not possible to thank edits made by bot users. On the desktop site, the thank link doesn't show up, and attempting to do it on mobile gives a rather unhelpful error message: "Thank action failed. Please try again." This button should be hidden in this case, or else a better error message used.

Details

Event Timeline

HairyDude raised the priority of this task from to Needs Triage.
HairyDude updated the task description. (Show Details)
HairyDude added a project: Mobile.
HairyDude added a subscriber: HairyDude.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 15 2015, 1:22 PM
Umherirrender set Security to None.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 15 2015, 6:02 PM
Mattflaschen-WMF renamed this task from Thanks button not hidden for bot edits to Thanks button not hidden for bot edits on mobile.Nov 17 2015, 9:42 PM

Change 255143 had a related patch set uploaded (by Glaisher):
Hide thanks button for botedits if bots are not allowed to receive thanks .in mobile as well

https://gerrit.wikimedia.org/r/255143

Change 255143 merged by jenkins-bot:
Hide thanks button for botedits if bots are not allowed to receive thanks in mobile as well

https://gerrit.wikimedia.org/r/255143

Glaisher closed this task as Resolved.Dec 1 2015, 3:27 PM
Glaisher claimed this task.